LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ofxdump.cpp File Reference

Code for ofxdump utility. C++ example code. More...

Go to the source code of this file.

## Functions
int | ofx_proc_security_cb (struct OfxSecurityData data, void *security_data)
int | ofx_proc_transaction_cb (struct OfxTransactionData data, void *transaction_data)
int | ofx_proc_statement_cb (struct OfxStatementData data, void *statement_data)
int | ofx_proc_account_cb (struct OfxAccountData data, void *account_data)
int | ofx_proc_status_cb (struct OfxStatusData data, void *status_data)
int | main (int argc, char *argv[])

## Detailed Description

Code for ofxdump utility. C++ example code.

ofxdump prints to stdout, in human readable form, everything the library understands about a particular ofx response file, and sends errors to stderr. To know exactly what the library understands about of a particular ofx response file, just call ofxdump on that file.

ofxdump is meant as both a C++ code example and a developper/debuging tool. It uses every function and every structure of the LibOFX API. By default, WARNING, INFO, ERROR and STATUS messages are enabled. You can change these defaults at the top of ofxdump.cpp

usage: ofxdump path_to_ofx_file/ofx_filename

Definition in file ofxdump.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 434 of file ofxdump.cpp.